rpmlib.h File Reference
RPMCLI. | RPMRC. | RPMTS Transaction Set API. | RPMTE Transaction Element API. | RPMDS Dependency Set API. | RPMFI File Info API. | RPMDB Database API. | LEAD. | SIGNATURE. | HEADER. | PAYLOAD. | RPMDBI DataBase Index Element API.

In Memoriam: Steve Taylor stayl.nosp@m.or@r.nosp@m.edhat.nosp@m..com was here, now he's not. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

RPMTS
rpmRC | rpmInstallSourcePackage (rpmts ts, void *_fd, const char **specFilePtr, const char **cookie)
| Install source package. More...

## Detailed Description

In Memoriam: Steve Taylor stayl.nosp@m.or@r.nosp@m.edhat.nosp@m..com was here, now he's not.

Definition in file rpmlib.h.

## Function Documentation

rpmRC rpmInstallSourcePackage | ( | rpmts | ts,
|  | void * | _fd,
|  | const char ** | specFilePtr,
|  | const char ** | cookie
| ) |  |

Install source package.

Deprecated:
  This routine needs to DIE! DIE! DIE!.

Todo:
  Eliminate in rpm-5.1, insturment rpmtsRun() state machine instead.

Parameters

  ts | transaction set
  _fd | file handle

Return values

  specFilePtr | address of spec file name (or NULL)
  cookie | address of cookie pointer (or NULL)

Returns
  rpmRC return code

Definition at line 184 of file psm.c.

References _, _fd, _free(), alloca(), rpmDataType_u::argv, createDir(), FA_CREATE, Fclose(), fdLink(), headerFree(), headerGet(), headerIsEntry(), headerLink(), headerMacrosLoad(), IOSM_MAP_GID, IOSM_MAP_MODE, IOSM_MAP_PATH, IOSM_MAP_UID, _HE_s::p, PSM_FINI, PSM_PKGINSTALL, PSM_PROCESS, rpmExpand(), rpmfiFree(), RPMFILE_SPECFILE, rpmfiLink(), rpmfiNew(), rpmlog(), RPMLOG_ERR, rpmpsmStage(), RPMRC_FAIL, RPMRC_NOKEY, RPMRC_NOTTRUSTED, RPMRC_OK, rpmReadPackageFile(), RPMTAG_ARCH, RPMTAG_BASENAMES, RPMTAG_COOKIE, RPMTAG_FILEPATHS, RPMTAG_SOURCERPM, rpmteSetHeader(), rpmtsAddInstallElement(), rpmtsClean(), rpmtsElement(), rpmtsFree(), rpmtsLink(), stpcpy(), rpmDataType_u::str, _HE_s::tag, and xmalloc().

Referenced by rpmInstallSource().